package org.university.core;



import java.util.ArrayList;

public abstract class AbstractEmployee extends Person implements AccountingInterface{
    
    protected String position;
    
    protected double basicIncome,currentIncome;

    protected ArrayList<Bill> bankBill = new ArrayList<Bill>();
    
    public AbstractEmployee(String firstName, String lastName, int ID, int joiningYear, Department department, String position, double basicIncome) {
        super(firstName, lastName, ID, joiningYear, department);
        this.position = position;
        this.basicIncome = basicIncome;
    }

    public abstract boolean isPromotable();

    public void addBankStatement(Bill s)
    {
        bankBill.add(s);
    }

    @Override
    public AbstractEmployee getEmployee() {
        return this;
    }

    @Override
    public double getCurrentIncome()
    {
        return currentIncome;
    }

    public ArrayList<Bill> getBankBill() {
        return bankBill;
    }

    public String getPosition() {
        return position;
    }

    public double getBasicIncome() {
        return basicIncome;
    }

    public void setCurrentIncome(double currentIncome)
    {
        this.currentIncome = currentIncome;
    }

   
}
